var myTheme = {
    init : function(){
        // Special links
        $("#siteNav li").each(function(i){
            var firstLink = $("a",this).eq(0);
            var t = firstLink.text();
            var last = t.substring(t.length-1,t.length);
            if (last==" ") t = t.substring(0,t.length-1); /* IE 7 requires this */
            if (t.indexOf("- ")==0 && t.indexOf(" -")==(t.length-2)) {
                t = t.substring(2);
                t = t.substring(0,t.length-2);
                firstLink.text(t);
                $("a",this).addClass("package-link");
            }
        });    
        var ie_v = $exe.isIE();
        if (ie_v && ie_v<8) return false;
        setTimeout(function(){
            $(window).resize(function() {
                myTheme.reset();
            });
        },1000);
        var l = $('<p id="nav-toggler"><a href="#" onclick="myTheme.toggleMenu(this)" class="hide-nav" id="toggle-nav" title="'+$exe_i18n.hide+'"><span>'+$exe_i18n.menu+'</span></a></p>');
        var n = $("#siteNav");
        n.before(l);
        var url = window.location.href;
        url = url.split("?");
        if (url.length>1){
            if (url[1].indexOf("nav=false")!=-1) {
                myTheme.hideMenu();
                return false;
            }
        }
        // border-radius
        var last = "";
        $("A",n).each(function(i){
            if (i==0) this.className+=" top-right-radius";
            if ($(this).is(":visible")) last = this;
        });
        if (last!="") last.className+=" bottom-right-radius";
        this.addNavArrows(n);
    },
    common : {
        formURL : 'https://cedec.intef.es/wp-content/opina/',
        showIframe : function(){
            $("#theme-iframe-indicator").remove();
            $("#theme-iframe").show();
        },
		setIcons : function(k){
			$(".iDevice_wrapper").each(function(i){
				if (this.className.indexOf("em_iDevice")!=-1) {
					var e = $(this);
					// Provisional solution so the user can use the iDevice Editor to choose an icon
					$(".iDevice_header",e).each(function(){
						var i = this.style.backgroundImage;
						if (i!="") $(".iDeviceTitle",this).css("background-image",i);
						this.style.backgroundImage = "none";
					});
					var t = $(".iDeviceTitle",e);
					var c = t.css("background-image");
					if (c!="") {
						t.css("background-image","none");
						e.prepend("<div class='icon_wrapper' style='background-image:"+c+"'></div>");
					}
				}
			});		
		},
		rftTitle : function(k) {
			if (k.indexOf("exe-single-page")>-1) {
				// Open definition lists
				$('.exe-dl-toggler').each(function(){
					$("a",this).eq(0).trigger("click");
				});
				// Replace the node titles
				$(".nodeTitle").each(function(){
					var e = $(this);
					var t = e.text();
					if (t.indexOf("- ")==0 && t.substring(t.length-2,t.length)==" -") {
						t = t.substring(2);
						t = t.substring(0,t.length-2);
						e.text(t);
					}
				});
			} else {
				// Replace the document title
				var e = $("#nodeTitle");
				if (e.length==1) {
					var t = e.text();
					var last = t.substring(t.length-1,t.length);
					if (last==" ") t = t.substring(0,t.length-1); /* IE 7 requires this */            
					if (t.indexOf("- ")==0 && t.indexOf(" -")==(t.length-2)) {
						t = t.substring(2);
						t = t.substring(0,t.length-2);                
						document.title = document.title.replace(e.html(),t);
						e.text(t);
					}            
				}
			}			
		},
        init : function(k) {
			myTheme.common.setIcons(k);
			if (!$("body").hasClass("exe-epub3") && location.protocol!='https:') {
                var nt = $("#nodeTitle"); // #nodeTitle is not in single page
                if (nt.length==1 && navigator.onLine) {
                    var ntt = nt.text().replace(/ /g,'');
                    var lng = $("html").eq(0).attr("lang");
                    myTheme.lang = lng;
					if ((lng=="es" && ntt.indexOf("Opinasobreelrecurso")==1) || (lng=="en" && ntt.indexOf("Resourcefeedback")==1)) {
                        var iC = $('.iDevice_content');
                        if (iC.length==0) return false;
                        var e = iC.eq(0);
						if (
							$("a[href='http://cedec.educalab.es/opina/']",e).length==0 && 
							$("a[href='https://cedec.educalab.es/opina/']",e).length==0 && 
							$("a[href='http://cedec.intef.es/opina/']",e).length==0 && 
							$("a[href='https://cedec.intef.es/opina/']",e).length==0
						) return false;
                        var params = "?";
                            params += "url="+encodeURI(window.location.href);
                            if ($("body").hasClass("exe-web-site")) {
                                params += "&title=" + encodeURI($("#headerContent").text());
                            } else {
                                var fullT = "- Opina sobre el recurso - | ";
                                if (lng=="en") fullT = "- Resource feedback - | "                                
                                params += "&title=" + encodeURI(document.title.replace(fullT,""));
                            }
                        e.html('<div id="theme-iframe-text">'+e.html()+'</div><p><div id="theme-iframe-indicator">Cargando&hellip;</div><iframe id="theme-iframe" width="600" height="875" onload="myTheme.common.showIframe()" src="'+myTheme.common.formURL+params+'"></iframe></p>');
                        iC.addClass("with-theme-iframe");
                        setTimeout(function(){
                            var indicator = $("#theme-iframe-indicator");
                            if (indicator.length==1) {
                                var errorTxt = "No se pudo mostrar el formulario en esta página. %Abrir el formulario en una ventana nueva%.";
                                    if (myTheme.lang=="en") errorTxt = "The form could not be displayed. Please %open it in a new window%.";
                                    errorTxt = errorTxt.replace("%","<a href='"+myTheme.common.formURL+"' target='_blank' hreflang='es'>");
                                    errorTxt = errorTxt.replace("%","</a>");
                                indicator.attr("class","error").html(errorTxt);
                                $("#theme-iframe").remove();
                            }
                        },20000);
                    }
                }
            }
			myTheme.common.rftTitle(k);
        }
    },
    addNavArrows : function(n){
        $("ul ul .daddy",n).each(
            function(){
                this.innerHTML+=' <span>&#9658;</span>';
            }
        );
    },    
    hideMenu : function(){
        $("#siteNav").hide();
        $(document.body).addClass("no-nav");
        myTheme.params("add");
        $("#toggle-nav").attr("class","show-nav").attr("title",$exe_i18n.show);
    },
    toggleMenu : function(e){
        if (typeof(myTheme.isToggling)=='undefined') myTheme.isToggling = false;
        if (myTheme.isToggling) return false;
        
        var l = $("#toggle-nav");
        
        if (!e && $(window).width()<900 && l.css("display")!='none') return false; // No reset in mobile view
        if (!e) l.attr("class","show-nav").attr("title",$exe_i18n.show); // Reset
        
        myTheme.isToggling = true;
        
        if (l.attr("class")=='hide-nav') {       
            l.attr("class","show-nav").attr("title",$exe_i18n.show);
            $("#siteFooter").hide();
            $("#siteNav").slideUp(400,function(){
                $(document.body).addClass("no-nav");
                $("#siteFooter").show();
                myTheme.isToggling = false;
            }); 
            myTheme.params("add");
        } else {
            l.attr("class","hide-nav").attr("title",$exe_i18n.hide);
            $(document.body).removeClass("no-nav");
            $("#siteNav").slideDown(400,function(){
                myTheme.isToggling = false;
            });
            myTheme.params("delete");            
        }
        
    },
    param : function(e,act) {
        if (act=="add") {
            var ref = e.href;
            var con = "?";
            if (ref.indexOf(".html?")!=-1 || ref.indexOf(".htm?")!=-1) con = "&";
            var param = "nav=false";
            if (ref.indexOf(param)==-1) {
                ref += con+param;
                e.href = ref;                    
            }            
        } else {
            // This will remove all params
            var ref = e.href;
            ref = ref.split("?");
            e.href = ref[0];
        }
    },
    params : function(act){
        $("A",".pagination").each(function(){
            myTheme.param(this,act);
        });
    },
    reset : function() {
        myTheme.toggleMenu();
    }    
}

$(function(){
    if ($("body").hasClass("exe-web-site")) {
        myTheme.init();
    }
    myTheme.common.init(document.body.className);
});